#ifndef MIDWAY_VIDEO_EQUALIZATION
#define MIDWAY_VIDEO_EQUALIZATION


#define HISTOGRAM_INVERSION_METHOD 0
#define PIXEL_SORTING_METHOD 1

void midway_video_equalization(
  unsigned char *I, //input images
  int nx,           //number of columns
  int ny,           //number of rows
  int nz,           //number of channels
  int nframes,      //number of frames
  int method,       //equalization method
  int sigma,        //standard deviation
  int dithering,    //apply dithering
  int verbose       //print messages
);


#endif